From 585a864b88b65cfbe57765d769b92b771bfaf762 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Wed, 27 Dec 2017 23:21:37 -0800
Subject: [PATCH 2002/2002] xray: Define O_CLOEXEC for older SDKs that don't
 have it

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 lib/xray/xray_utils.cc  | 6 ++++++
 lib/xray/xray_x86_64.cc | 6 ++++++
 2 files changed, 12 insertions(+)

diff --git llvm_master/projects/compiler-rt/lib/xray/xray_utils.cc macports_master/projects/compiler-rt/lib/xray/xray_utils.cc
index b9a38d1b9..b26a76893 100644
--- llvm_master/projects/compiler-rt/lib/xray/xray_utils.cc
+++ macports_master/projects/compiler-rt/lib/xray/xray_utils.cc
@@ -25,6 +25,12 @@
 #include <unistd.h>
 #include <utility>
 
+#ifdef __APPLE__
+#ifndef O_CLOEXEC
+#define O_CLOEXEC 0x1000000
+#endif
+#endif
+
 namespace __xray {
 
 void printToStdErr(const char *Buffer) XRAY_NEVER_INSTRUMENT {
diff --git llvm_master/projects/compiler-rt/lib/xray/xray_x86_64.cc macports_master/projects/compiler-rt/lib/xray/xray_x86_64.cc
index e34806fa1..74ac35e47 100644
--- llvm_master/projects/compiler-rt/lib/xray/xray_x86_64.cc
+++ macports_master/projects/compiler-rt/lib/xray/xray_x86_64.cc
@@ -12,6 +12,12 @@
 #include <tuple>
 #include <unistd.h>
 
+#ifdef __APPLE__
+#ifndef O_CLOEXEC
+#define O_CLOEXEC 0x1000000
+#endif
+#endif
+
 namespace __xray {
 
 static std::pair<ssize_t, bool>
-- 
2.15.1

